<html>
<head>
<title>OGRE: Ogre::Any::placeholder Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Any.html">Any</a>::<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a></div>
<h1>Ogre::Any::placeholder Class Reference</h1><!-- doxytag: class="Ogre::Any::placeholder" --><code>#include &lt;<a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::Any::placeholder:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1Any_1_1placeholder-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#d122e24bf73e447ee0a34066598a4866">~placeholder</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
std::type_info &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#dbffede1819fffac5df00b2456d485ba">getType</a> () const =0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#d445f6f56c8869809d9619707fbbe671">clone</a> () const =0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#c8109f388caa8709eab98200fd6aab5b">writeToStream</a> (std::ostream &amp;o)=0</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00120">120</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d122e24bf73e447ee0a34066598a4866"></a><!-- doxytag: member="Ogre::Any::placeholder::~placeholder" ref="d122e24bf73e447ee0a34066598a4866" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::Any::placeholder::~placeholder           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00124">124</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="dbffede1819fffac5df00b2456d485ba"></a><!-- doxytag: member="Ogre::Any::placeholder::getType" ref="dbffede1819fffac5df00b2456d485ba" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const std::type_info&amp; Ogre::Any::placeholder::getType           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implemented in <a class="el" href="classOgre_1_1Any_1_1holder.html#56afb766401eb023cbefc760a7d9c984">Ogre::Any::holder&lt; ValueType &gt;</a>, and <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#30747552f8f12160cab496cf7b0d3e23">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00104">Ogre::Any::getType()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d445f6f56c8869809d9619707fbbe671"></a><!-- doxytag: member="Ogre::Any::placeholder::clone" ref="d445f6f56c8869809d9619707fbbe671" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* Ogre::Any::placeholder::clone           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implemented in <a class="el" href="classOgre_1_1Any_1_1holder.html#92b6d40054444e8fce5e47f091f63c50">Ogre::Any::holder&lt; ValueType &gt;</a>, and <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#8f39c28d0d67fec960573196e5e462a7">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00230">Ogre::AnyNumeric::AnyNumeric()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c8109f388caa8709eab98200fd6aab5b"></a><!-- doxytag: member="Ogre::Any::placeholder::writeToStream" ref="c8109f388caa8709eab98200fd6aab5b" args="(std::ostream &amp;o)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Any::placeholder::writeToStream           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implemented in <a class="el" href="classOgre_1_1Any_1_1holder.html#5877c5d406ad50d82277f0f85444f2e0">Ogre::Any::holder&lt; ValueType &gt;</a>, and <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#1cd19a31e8c9e9f73824e2db792bf629">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h-source.html">OgreAny.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:08 2008
</p>
</body>
</html>
